package com.ssj.dao.weixin.library.dao;

import com.ssj.service.weixin.library.dto.out.BookScanViewOutDto;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

/** 
 * @author  ZhangCaibao 
 * @version 2018年8月17日 下午3:59:44 
 * 类说明 
 */
public interface BookBorrowQueryDao {

	  public Page<Map<String, Object>> myWish(Map<String, Object> params, Pageable pageable);
	  public Page<Map<String, Object>> othersWish(Map<String, Object> params, Pageable pageable);
	  public Map<String,Object>  wishDetails(String isbn13,String vipId, String libId);
	  public List<Map<String,Object>> wishUserList(String isbn13,String vipId,String userId, String libId);
	  public Page<Map<String, Object>> getLibJoinDispatcher(Map<String, Object> params, Pageable pageable);
	  public Page<Map<String, Object>> libDispatchingList(Map<String, Object> params, Pageable pageable);
	  public List<Map<String, Object>> orderOverTime();
	  
	  public Map<String, Object> findHelpTimes(String libId, String vipId, String isbn13);
	  
	  public Page<Map<String, Object>> findForPage(Map<String, Object> params, Pageable initPage);
	  public List<Map<String, Object>> getExportData(Map<String, Object> searchParams);
	  
	  public List<Map<String, Object>> findLibThemeData(String libId,String vipId);
	  public List<Map<String, Object>> findBorrowList(String vipId, String libId);
	  public Page<Map<String, Object>> findThemeBookList(Map<String, Object> params, Pageable pageable);
	  
	  public List<Map<String, Object>> querySuchList(String libId, String libId2, String replace, int type);
	  
	  public Page<Map<String, Object>> cancelLibList(Map<String, Object> params, Pageable pageable);
	  
	  public Map<String, Object> findLibCancelInfo(String libId);
	  
	  public Page<Map<String, Object>> recoveryList(Map<String, Object> params, Pageable pageable);
	  
	  public Map<String, Object> cancelLibHeadInfo(String libId, int type);

	  Page<Map<String, Object>> scanBookList(Map<String, Object> params, Pageable pageable);

    BookScanViewOutDto findScanForBookDetail(String detailId);
}
